Update invoice setup
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/invoicing/invoiceSetup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"invoiceSetup": {
"brandColor": "#5AAE46",
"defaultInvoiceNote": "Thank you for your business!",
"defaultInvoiceTerm": "NET_10",
"defaultReimbursableMarkUpPercent": 10,
"thirdPartyPaymentsEnabled": true,
"invoiceSetupComplete": true
}
}
'import requests
url = "https://sandbox.hurdlr.com/rest/v5/invoicing/invoiceSetup"
payload = { "invoiceSetup": {
"brandColor": "#5AAE46",
"defaultInvoiceNote": "Thank you for your business!",
"defaultInvoiceTerm": "NET_10",
"defaultReimbursableMarkUpPercent": 10,
"thirdPartyPaymentsEnabled": True,
"invoiceSetupComplete": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({
invoiceSetup: {
brandColor: '#5AAE46',
defaultInvoiceNote: 'Thank you for your business!',
defaultInvoiceTerm: 'NET_10',
defaultReimbursableMarkUpPercent: 10,
thirdPartyPaymentsEnabled: true,
invoiceSetupComplete: true
}
})
};
fetch('https://sandbox.hurdlr.com/rest/v5/invoicing/invoiceSetup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"errorMessage": "<string>"
}
]
},
"id": "<string>",
"webhook": {
"userId": "<string>",
"accountantUserId": "<string>"
}
}Invoicing
Update invoice setup
Update the user’s invoice setup
POST
/
v5
/
invoicing
/
invoiceSetup
Update invoice setup
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
*/*
invoiceSetup object
Show child attributes
Show child attributes
Response
200 - application/json
Successful operation
Object containing details about result of the action performed
⌘I